Returns a list of amendments filtered by the specified congress, sorted by date of latest action.

The result set can be further filtered using 'fromDateTime' and 'toDateTime' parameters.

  • fromDateTime: start timestamp to filter by update date.

  • toDateTime: end timestamp to filter by update date.

GET /amendment/:congress

Example Request

/v3/amendment/117
::

{
    'amendments': [
        {
           'congress': 117,
           'latestAction': {
                'actionDate': '2021-08-08',
                'text': 'Amendment SA 2137 agreed to in Senate by Yea-Nay Vote. 69 - 28. Record Vote Number: 312.'
            },
            'number': '2137',
            'purpose': 'In the nature of a substitute.',
            'type': 'SAMDT',
            'url': 'http://api.congress.gov/v3/amendment/117/samdt/2137?format=json'
        },
        ...
    ]
 }
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The congress number. For example, the value can be 117.

Query Params
string

The data format. Value can be xml or json.

Responses
200

successful operation

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here!